Subject: bug#70914: 29.3; Crashes often on Windows

From: Hannes Domani <[email-masked]>
Date: Wed, 22 May 2024 14:28:20 +0000 (UTC)

Am Mittwoch, 22. Mai 2024 um 16:05:59 MESZ hat Eli Zaretskii <[email-masked]> Folgendes geschrieben:

> > From: Simen Endsjø <[email-masked]>
>
> > Date: Wed, 22 May 2024 15:34:44 +0200
> > Cc: [email-masked], [email-masked], [email-masked]
> >
> > >>    (gdb) start --init-directory=d:/.emacs.d
> > >>    warning: could not convert 'main' from the host encoding (CP65001)
> > >> to UTF-32.
> > >>    This normally should not happen, please file a bug report.
> > >
> > > That message comes from GDB, and AFAIU is a GDB bug.  It should be
> > > reported, I think.
> >
> > I have only seen this on Hannes' gdb, not the one from mingw.
>
>
> OK, then Hannes should look into it.  My guess is that GDB doesn't
> realize that CP65001 is just a funny name for UTF-8...

I would, but I can't even figure out how to set CP65001:

(gdb) set charset CP65001
Undefined item: "CP65001".

Or do I need a different setting?

> Why does gdc crash with 0202 when using a conditional format?

And I can't reproduce this problem either, not even with the strcmp()
function call.

Hannes